## javax.media.j3d
Interface ImageComponent2D.Updater

Enclosing class:
  ImageComponent2D

    public static interface ImageComponent2D.Updater

The ImageComponent2D.Updater interface is used in updating image data that is accessed by reference from a live or compiled ImageComponent object. Applications that wish to modify such data must define a class that implements this interface. An instance of that class is then passed to the `updateData` method of the ImageComponent object to be modified.

Since:
  Java 3D 1.3

Method Summary
`void` `updateData(ImageComponent2D imageComponent, int x, int y, int width, int height)` Updates image data that is accessed by reference.

Method Detail

### updateData

    void updateData(ImageComponent2D imageComponent,
                    int x,
                    int y,
                    int width,
                    int height)

  Updates image data that is accessed by reference. This method is called by the updateData method of an ImageComponent object to effect safe updates to image data that is referenced by that object. Applications that wish to modify such data must implement this method and perform all updates within it.
  NOTE: Applications should not call this method directly.

  Parameters:
    `imageComponent` - the ImageComponent object being updated.
    `x` - starting X offset of the subregion.
    `y` - starting Y offset of the subregion.
    `width` - width of the subregion.
    `height` - height of the subregion.
  See Also:
    `ImageComponent2D.updateData(javax.media.j3d.ImageComponent2D.Updater, int, int, int, int)`

Copyright 1996-2008 Sun Microsystems, Inc. All Rights Reserved. Use is subject to license terms.